summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Rühsen <tim.ruehsen@gmx.de>2019-03-28 10:41:13 +0100
committerTim Rühsen <tim.ruehsen@gmx.de>2019-03-28 15:05:50 +0100
commit22d31c9f48b2c97c6628e437cd34da43f3496fcf (patch)
tree90420929115b4f6eac095ea4cb7ce744418c82fb
parent0949794f4087d965698569ffbcf3f94bd7ba217f (diff)
downloadgnutls-tmp-fail-sigcheck.tar.gz
Let check_if_signed fail if git failstmp-fail-sigcheck
Signed-off-by: Tim Rühsen <tim.ruehsen@gmx.de>
-rw-r--r--.gitlab-ci.yml2
-rwxr-xr-xdevel/check_if_signed6
2 files changed, 5 insertions, 3 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index a6ad5ec064..ba7978cff4 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -52,7 +52,7 @@ commit-check:
policy: pull
script:
# we want $ALPINE_BASE_BUILD without git, so add it here
- - apk add git
+ - apk add git bash
- devel/check_if_signed
retry: 0
diff --git a/devel/check_if_signed b/devel/check_if_signed
index b8b4fef112..3d05d4fcbb 100755
--- a/devel/check_if_signed
+++ b/devel/check_if_signed
@@ -1,7 +1,9 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
+
+set -e
if test -z "$CI_MERGE_REQUEST_TARGET_BRANCH_NAME"; then
- CI_MERGE_REQUEST_TARGET_BRANCH_NAME="master"
+ CI_MERGE_REQUEST_TARGET_BRANCH_NAME="origin/master"
fi
echo "target=$CI_MERGE_REQUEST_TARGET_BRANCH_NAME"